Test a workflow step
- Base URL
-
https://{kibana_url}
-
POST
/api/workflows/step/test
-
POST
/s/{space_id}/api/workflows/step/test
Auth
Execute a single step from a workflow definition in test mode.
-
Privileges
workflowsManagement:execute
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
contextOverride
map string to object
required
-
Context overrides for the step execution.
-
executionContext
map string to object
-
Execution context for the step execution.
-
stepId
string
required
-
ID of the step to test.
-
workflowId
string
-
ID of the workflow containing the step.
-
workflowYaml
string
required
-
YAML definition of the workflow containing the step.
200
Indicates a successful response
application/json
Thank you for your feedback.